<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('users', function (Blueprint $table) {
            $table->string('custom_join_effect', 30)->nullable()->after('custom_leave_message')->comment('用户自定义入场特效');
            $table->string('custom_leave_effect', 30)->nullable()->after('custom_join_effect')->comment('用户自定义离场特效');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('users', function (Blueprint $table) {
            $table->dropColumn(['custom_join_effect', 'custom_leave_effect']);
        });
    }
};
